Project

General

Profile

Tâche #23184

Scénario #23050: Corrections à appliquer pour Eole-AD

S'assurer que la version 8 de java est celle utilisée

Added by Gérald Schwartzmann over 3 years ago. Updated over 3 years ago.

Status:
Fermé
Priority:
Normal
Start date:
03/02/2018
Due date:
% Done:

100%

Estimated time:
3.00 h
Spent time:
Remaining (hours):
0.0

Description

La version stable d'eole-ad tire le paquet openjdk-9-jre hors LSC ne peut utiliser que openjdk-8-jre.

La dépendance est résolue en candidat sur le paquet eole-ad mais il faut gérer la gestion de la version Java à utiliser (update-alternatives) lors de la mise à jour d'eole-ad

  554  [ 02/03/2018 15:24:49 ] update-alternatives --list java 
  555  [ 02/03/2018 15:25:20 ] update-alternatives --set java /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java 
  556  [ 02/03/2018 15:25:29 ] update-alternatives --list java 
  557  [ 02/03/2018 15:25:43 ] update-alternatives --config java 
root@scribe# apt-cache rdepends openjdk-9-jre
openjdk-9-jre
Reverse Depends:
  openjdk-9-dbg
  eole-ad
  openjdk-9-source
  openjdk-9-jdk
  openjdk-9-demo
root@scribe:
root@scribe:/usr/share/eole/posttemplate# apt-cache depends eole-ad
eole-ad
  Dépend: eole-scribe
  Dépend: krb5-config
  Dépend: krb5-user
  Dépend: lsc
  Dépend: openjdk-8-jre
  Dépend: libcrypt-saltedhash-perl
  Dépend: recode
root@scribe:/usr/share/eole/posttemplate#

Related issues

Related to Distribution EOLE - Tâche #22730: Faire un signalement sur la forge LSC Fermé 01/15/2018

Associated revisions

Revision 3efee392 (diff)
Added by Gérald Schwartzmann over 3 years ago

Forcer l'utilisation de Java version 8 ref #23184

LSC nécessite la version 8 de Java

  • ajout d'un test pour faire un update-alternatives sur la bonne version
  • de Java

History

#1 Updated by Gérald Schwartzmann over 3 years ago

  • Related to Tâche #22730: Faire un signalement sur la forge LSC added

#2 Updated by Gérald Schwartzmann over 3 years ago

  • Description updated (diff)

#3 Updated by Gérald Schwartzmann over 3 years ago

  • Status changed from Nouveau to En cours

#4 Updated by Gérald Schwartzmann over 3 years ago

  • Assigned To set to Gérald Schwartzmann

#5 Updated by Gérald Schwartzmann over 3 years ago

  • Estimated time set to 0.00 h
  • Remaining (hours) set to 0.0

#6 Updated by Gérald Schwartzmann over 3 years ago

  • Status changed from En cours to Résolu

#7 Updated by Joël Cuissinat over 3 years ago

  • Status changed from Résolu to Fermé
  • % Done changed from 0 to 100
  • Estimated time changed from 0.00 h to 3.00 h

J'avais installé openjdk-9-jre avant eole-ad, et j'ai obtenu le message suivant à la première instance => OK

update-alternatives: utilisation de « /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/java » pour fournir « /usr/bin/java » (java) en mode manuel

Also available in: Atom PDF